#
# spec file for package torsocks (Version 1.1)
#

# norootforbuild

#%define real_version 1.0
#%define pre_suffix epsilon
Name:		torsocks
#Version:	%real_version.%{pre_suffix}
Version:	1.1
Release:	2.1
Summary:	A tool to "torify" several applications (forked from tsocks)
License:	GPLv2
Group:		Productivity/Networking/Security
URL:		http://code.google.com/p/torsocks
#Source0:	%{name}-%{real_version}-%{pre_suffix}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.rpmlintrc
Source100:	%{name}.changes
#Patch0:		%{name}-%{real_version}-%{pre_suffix}-libdir.diff
Patch0:		%{name}-%{version}-libdir.diff
Patch1:		%{name}-%{version}-suid_sgid.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	tor
BuildRequires:	autoconf automake libtool

%description
Torsocks is a shell wrapper to simplify the use of the torsocks library 
to transparently allow an application to use a SOCKS proxy.
Basically it is a renamed, patched tsocks.



%prep
#%setup -q -n %{name}-%{real_version}-%{pre_suffix}
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoreconf -vif
%configure --enable-socksdns

%__make %{?jobs:-j%{jobs}}

%install
make DESTDIR=%{buildroot} install

# remove unneeded static libraries
rm %{buildroot}/%{_libdir}/%{name}/lib%{name}.*a

%clean
%__rm -rf "%{buildroot}"

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING FAQ README*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/usewithtor.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*
%{_bindir}/%{name}
%{_bindir}/usewithtor
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.conf

%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build on 12.2+ (add autoconf automake libtool buildreq)
* Sun Jan  2 2011 packman@links2linux.de - 1.1
- prevent execution of suid/sgid programs by torsocks
* Fri Dec 17 2010 packman@links2linux.de - 1.1
- update to 1.1
- patches refreshed/adapted
* Sat Nov 28 2009 packman@links2linux.de - 1.0.epsilon
- initial package, version 1.0 epsilon
